#include <bits/stdc++.h>
using namespace std;
string S="";
void cdoi(string s,int n)
{

	if (n==0) S=S+s[n]; else {S=S+s[n];cdoi(s,n-1);}
}

int main()
{
	string N;
	ifstream f1("DQXAU.INP");
	ofstream f2("DQXAU.OUT");
	getline(f1,N);
	cdoi(N,N.length()-1);
	f2<<S;
	f1.close();
	f2.close();
}
